POST api/JobSeeker/Profile/SaveProfileVisibility
Request Information
URI Parameters
None.
Body Parameters
ProfileVisibilityInput| Name | Description | Type | Additional information |
|---|---|---|---|
| Visible | boolean |
None. |
|
| EmployerTypeList | Collection of ProfileGenericValue |
None. |
|
| FirstChoiceEmployerTypeId | string |
None. |
|
| FirstChoiceEmployerTypeText | string |
None. |
|
| SecondChoiceEmployerTypeId | string |
None. |
|
| SecondChoiceEmployerTypeText | string |
None. |
|
| SelectedGeographicLocations | string |
None. |
|
| SelectedPositions | string |
None. |
|
| SelectedGradeLevels | Collection of ProfileGenericValue |
None. |
|
| SelectedJobTypes | Collection of ProfileGenericValue |
None. |
|
| SelectedDistrictList | Collection of ProfileGenericValue |
None. |
|
| HideFromPostalCode | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"visible": true,
"employerTypeList": [
{
"id": "sample string 1",
"name": "sample string 2"
},
{
"id": "sample string 1",
"name": "sample string 2"
}
],
"firstChoiceEmployerTypeId": "sample string 2",
"firstChoiceEmployerTypeText": "sample string 3",
"secondChoiceEmployerTypeId": "sample string 4",
"secondChoiceEmployerTypeText": "sample string 5",
"selectedGeographicLocations": "sample string 6",
"selectedPositions": "sample string 7",
"selectedGradeLevels": [
{
"id": "sample string 1",
"name": "sample string 2"
},
{
"id": "sample string 1",
"name": "sample string 2"
}
],
"selectedJobTypes": [
{
"id": "sample string 1",
"name": "sample string 2"
},
{
"id": "sample string 1",
"name": "sample string 2"
}
],
"selectedDistrictList": [
{
"id": "sample string 1",
"name": "sample string 2"
},
{
"id": "sample string 1",
"name": "sample string 2"
}
],
"hideFromPostalCode": "sample string 8"
}
application/xml, text/xml
Sample:
<ProfileVisibilityInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.JobSeeker">
<EmployerTypeList>
<ProfileGenericValue>
<ID>sample string 1</ID>
<Name>sample string 2</Name>
</ProfileGenericValue>
<ProfileGenericValue>
<ID>sample string 1</ID>
<Name>sample string 2</Name>
</ProfileGenericValue>
</EmployerTypeList>
<FirstChoiceEmployerTypeId>sample string 2</FirstChoiceEmployerTypeId>
<FirstChoiceEmployerTypeText>sample string 3</FirstChoiceEmployerTypeText>
<HideFromPostalCode>sample string 8</HideFromPostalCode>
<SecondChoiceEmployerTypeId>sample string 4</SecondChoiceEmployerTypeId>
<SecondChoiceEmployerTypeText>sample string 5</SecondChoiceEmployerTypeText>
<SelectedDistrictList>
<ProfileGenericValue>
<ID>sample string 1</ID>
<Name>sample string 2</Name>
</ProfileGenericValue>
<ProfileGenericValue>
<ID>sample string 1</ID>
<Name>sample string 2</Name>
</ProfileGenericValue>
</SelectedDistrictList>
<SelectedGeographicLocations>sample string 6</SelectedGeographicLocations>
<SelectedGradeLevels>
<ProfileGenericValue>
<ID>sample string 1</ID>
<Name>sample string 2</Name>
</ProfileGenericValue>
<ProfileGenericValue>
<ID>sample string 1</ID>
<Name>sample string 2</Name>
</ProfileGenericValue>
</SelectedGradeLevels>
<SelectedJobTypes>
<ProfileGenericValue>
<ID>sample string 1</ID>
<Name>sample string 2</Name>
</ProfileGenericValue>
<ProfileGenericValue>
<ID>sample string 1</ID>
<Name>sample string 2</Name>
</ProfileGenericValue>
</SelectedJobTypes>
<SelectedPositions>sample string 7</SelectedPositions>
<Visible>true</Visible>
</ProfileVisibilityInput>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
booleanResponse Formats
application/json, text/json
Sample:
true
application/xml, text/xml
Sample:
<boolean xmlns="http://schemas.microsoft.com/2003/10/Serialization/">true</boolean>